linux Centos7.7 eth_ipoib add module?

hi mellanox

Now I need the eth_ipoib module in centos 7.7

As I checked, there is OFED.4.4.1 version, but 4.7.1 is not

Check how to use the eth_ipoib module in Centos7.7

I have to use the linux bridge function using the eth_ipoib module

Please update the driver file or how to do it

Below is the result I tried

[root@ib1 eipoib]# lsmod | grep -i ipoib

eth_ipoib 50635 0

ib_ipoib 164248 0

ib_cm 51678 3 rdma_cm,ib_ucm,ib_ipoib

ib_core 290317 10 rdma_cm,ib_cm,iw_cm,mlx4_ib,mlx5_ib,ib_ucm,ib_umad,ib_uverbs,rdma_ucm,ib_ipoib

mlx_compat 16882 16 rdma_cm,ib_cm,iw_cm,mlx4_en,mlx4_ib,mlx5_ib,eth_ipoib,mlx5_fpga_tools,ib_ucm,ib_core,ib_umad,ib_uverbs,mlx4_core,mlx5_core,rdma_ucm,ib_ipoib

[root@ib1 eipoib]# cat /etc/redhat-release

CentOS Linux release 7.5.1804 (Core)

[root@ib1 RPMS]# rpm -qa | grep -i mlnx

mlnx-ofa_kernel-devel-4.4-OFED.4.4.1.0.0.1.gd647238.rhel7u5.x86_64

libibverbs-utils-41mlnx1-OFED.4.4.1.0.0.44100.x86_64

libmlx5-devel-41mlnx1-OFED.4.4.0.1.7.44100.x86_64

libibcm-devel-41mlnx1-OFED.4.1.0.1.0.44100.x86_64

libibmad-5.0.0.MLNX20180328.afe7c88-0.1.44100.x86_64

ibacm-41mlnx1-OFED.4.3.3.0.0.44100.x86_64

opensm-libs-5.2.0.MLNX20180620.a0b90c5-0.1.44100.x86_64

dapl-2.1.10mlnx-OFED.3.4.2.1.0.44100.x86_64

srptools-41mlnx1-5.44100.x86_64

infiniband-diags-compat-5.0.0.MLNX20180626.eb4c023-0.1.44100.x86_64

mlnxofed-docs-4.4-1.0.0.0.noarch

kmod-mlnx-ofa_kernel-4.4-OFED.4.4.1.0.0.1.gd647238.rhel7u5.x86_64

kmod-kernel-mft-mlnx-4.10.0-1.rhel7u5.x86_64

kmod-knem-1.1.3.90mlnx1-OFED.4.3.0.1.4.1.g8cf97c1.rhel7u5.x86_64

libibverbs-41mlnx1-OFED.4.4.1.0.0.44100.x86_64

libibverbs-devel-static-41mlnx1-OFED.4.4.1.0.0.44100.x86_64

libmlx4-41mlnx1-OFED.4.1.0.1.0.44100.x86_64

libmlx5-41mlnx1-OFED.4.4.0.1.7.44100.x86_64

librxe-41mlnx1-OFED.4.1.0.1.7.44100.x86_64

libibcm-41mlnx1-OFED.4.1.0.1.0.44100.x86_64

libibumad-43.1.1.MLNX20180612.87b4d9b-0.1.44100.x86_64

libibumad-static-43.1.1.MLNX20180612.87b4d9b-0.1.44100.x86_64

libibmad-devel-5.0.0.MLNX20180328.afe7c88-0.1.44100.x86_64

ibsim-0.6mlnx1-0.9.gdc7d44e.44100.x86_64

librdmacm-41mlnx1-OFED.4.2.0.1.3.44100.x86_64

librdmacm-devel-41mlnx1-OFED.4.2.0.1.3.44100.x86_64

opensm-5.2.0.MLNX20180620.a0b90c5-0.1.44100.x86_64

opensm-static-5.2.0.MLNX20180620.a0b90c5-0.1.44100.x86_64

dapl-devel-2.1.10mlnx-OFED.3.4.2.1.0.44100.x86_64

dapl-utils-2.1.10mlnx-OFED.3.4.2.1.0.44100.x86_64

ibutils2-2.1.1-0.96.MLNX20180627.g53bbd74.44100.x86_64

infiniband-diags-5.0.0.MLNX20180626.eb4c023-0.1.44100.x86_64

mlnx-iproute2-4.7.0-1.44100.x86_64

mlnx-ofa_kernel-4.4-OFED.4.4.1.0.0.1.gd647238.rhel7u5.x86_64

knem-1.1.3.90mlnx1-OFED.4.3.0.1.4.1.g8cf97c1.rhel7u5.x86_64

libibverbs-devel-41mlnx1-OFED.4.4.1.0.0.44100.x86_64

libmlx4-devel-41mlnx1-OFED.4.1.0.1.0.44100.x86_64

librxe-devel-static-41mlnx1-OFED.4.1.0.1.7.44100.x86_64

libibumad-devel-43.1.1.MLNX20180612.87b4d9b-0.1.44100.x86_64

libibmad-static-5.0.0.MLNX20180328.afe7c88-0.1.44100.x86_64

librdmacm-utils-41mlnx1-OFED.4.2.0.1.3.44100.x86_64

opensm-devel-5.2.0.MLNX20180620.a0b90c5-0.1.44100.x86_64

dapl-devel-static-2.1.10mlnx-OFED.3.4.2.1.0.44100.x86_64

sharp-1.7.1.MLNX20180618.7c14dc0-1.44100.x86_64

mlnx-ethtool-4.2-1.44100.x86_64

mlnx-fw-updater-4.4-1.0.0.0.x86_64

[root@ib1 ~]# lsmod | grep -i ipoib

ib_ipoib 124877 0

ib_cm 53101 2 rdma_cm,ib_ipoib

ib_core 358474 7 rdma_cm,ib_cm,iw_cm,ib_umad,ib_uverbs,rdma_ucm,ib_ipoib

mlx_compat 55063 12 mdev,rdma_cm,vfio_mdev,ib_cm,iw_cm,mlx5_fpga_tools,ib_core,ib_umad,ib_uverbs,mlx5_core,rdma_ucm,ib_ipoib

[root@ib1 ~]# cat /etc/redhat-release

CentOS Linux release 7.7.1908 (Core)

[root@ib1 ~]# rpm -qa | grep -i mlnx

mlnx-ofa_kernel-devel-4.7-OFED.4.7.1.0.0.1.g1c4bf42.rhel7u7.x86_64

libibverbs-devel-static-41mlnx1-OFED.4.7.0.0.2.47100.x86_64

libmlx5-41mlnx1-OFED.4.7.0.3.3.47100.x86_64

libibcm-41mlnx1-OFED.4.1.0.1.0.47100.x86_64

libibumad-static-43.1.1.MLNX20190905.1080879-0.1.47100.x86_64

ibsim-0.7mlnx1-0.11.g85c342b.47100.x86_64

librdmacm-devel-41mlnx1-OFED.4.7.0.3.3.47100.x86_64

opensm-static-5.5.0.MLNX20190923.1c78385-0.1.47100.x86_64

dapl-utils-2.1.10mlnx-OFED.3.4.2.1.0.47100.x86_64

srptools-41mlnx1-5.47100.x86_64

cc_mgr-1.0-0.44.MLNX20190923.g5aec6dc.47100.x86_64

infiniband-diags-compat-5.4.0.MLNX20190908.5f40e4f-0.1.47100.x86_64

kmod-mlnx-ofa_kernel-4.7-OFED.4.7.1.0.0.1.g1c4bf42.rhel7u7.x86_64

kmod-kernel-mft-mlnx-4.13.0-1.rhel7u7.x86_64

kmod-knem-1.1.3.90mlnx1-OFED.4.6.2.0.8.1.g8d875ee.rhel7u7.x86_64

libibverbs-devel-41mlnx1-OFED.4.7.0.0.2.47100.x86_64

libibverbs-utils-41mlnx1-OFED.4.7.0.0.2.47100.x86_64

libmlx4-devel-41mlnx1-OFED.4.5.0.0.3.47100.x86_64

libmlx5-devel-41mlnx1-OFED.4.7.0.3.3.47100.x86_64

librxe-devel-static-41mlnx1-OFED.4.4.2.4.6.47100.x86_64

libibcm-devel-41mlnx1-OFED.4.1.0.1.0.47100.x86_64

libibumad-devel-43.1.1.MLNX20190905.1080879-0.1.47100.x86_64

libibmad-5.4.0.MLNX20190423.1d917ae-0.1.47100.x86_64

libibmad-static-5.4.0.MLNX20190423.1d917ae-0.1.47100.x86_64

ibacm-41mlnx1-OFED.4.3.3.0.0.47100.x86_64

librdmacm-utils-41mlnx1-OFED.4.7.0.3.3.47100.x86_64

opensm-libs-5.5.0.MLNX20190923.1c78385-0.1.47100.x86_64

opensm-devel-5.5.0.MLNX20190923.1c78385-0.1.47100.x86_64

dapl-2.1.10mlnx-OFED.3.4.2.1.0.47100.x86_64

dapl-devel-static-2.1.10mlnx-OFED.3.4.2.1.0.47100.x86_64

infiniband-diags-5.4.0.MLNX20190908.5f40e4f-0.1.47100.x86_64

dump_pr-1.0-0.40.MLNX20190923.g5aec6dc.47100.x86_64

sharp-2.0.0.MLNX20190922.a9ebf22-1.47100.x86_64

mlnx-ethtool-5.1-1.47100.x86_64

mlnxofed-docs-4.7-1.0.0.1.noarch

mlnx-fw-updater-4.7-1.0.0.1.x86_64

mlnx-ofa_kernel-4.7-OFED.4.7.1.0.0.1.g1c4bf42.rhel7u7.x86_64

knem-1.1.3.90mlnx1-OFED.4.6.2.0.8.1.g8d875ee.rhel7u7.x86_64

libibverbs-41mlnx1-OFED.4.7.0.0.2.47100.x86_64

libmlx4-41mlnx1-OFED.4.5.0.0.3.47100.x86_64

librxe-41mlnx1-OFED.4.4.2.4.6.47100.x86_64

libibumad-43.1.1.MLNX20190905.1080879-0.1.47100.x86_64

libibmad-devel-5.4.0.MLNX20190423.1d917ae-0.1.47100.x86_64

librdmacm-41mlnx1-OFED.4.7.0.3.3.47100.x86_64

opensm-5.5.0.MLNX20190923.1c78385-0.1.47100.x86_64

dapl-devel-2.1.10mlnx-OFED.3.4.2.1.0.47100.x86_64

ibutils2-2.1.1-0.110.MLNX20190922.gd4efc48.47100.x86_64

ar_mgr-1.0-0.45.MLNX20190923.g5aec6dc.47100.x86_64

mlnx-iproute2-5.2.0-1.47100.x86_64

Hi,

Ethernet IPoIB (eIPoIB) is unsupported in the last MLNX_OFED versions.

The latest version that supports eIPoIB is OFED 4.6-1.0.0.1, but this version is not compatible with Centos 7.7.

https://docs.mellanox.com/display/MLNXOFEDv461000/General+Support+in+MLNX_OFED#GeneralSupportinMLNX_OFED-SupportedOperatingSystems

Regards,

Chen